Package Asm

## Class UALi

- java.lang.Object
- - Asm.Instruction
  - - Asm.UALi

-     public class UALi
      extends Instruction

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `UALi.Op` |

  - ### Field Summary

    - ### Fields inherited from class Asm.Instruction

      `label, name`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UALi​(UALi.Op op, int dest, int sr, int imm)` | Constructeur
    `UALi​(java.lang.String label, UALi.Op op, int dest, int sr, int imm)` | Constructeur

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getDest()` | Getter du registre de destination
    `int` | `getImm()` | Getter de la constante
    `int` | `getSr()` | Getter du premier registre source
    `void` | `setDest​(int dest)` | Setter du registre de destination
    `void` | `setImm​(int imm)` | Setter de la constante
    `void` | `setSr​(int sr)` | Setter du premier registre source
    `java.lang.String` | `toString()` | Conversion en String

    - ### Methods inherited from class Asm.Instruction

      `getLabel, getName, setLabel, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UALi

          public UALi​(java.lang.String label,
                      UALi.Op op,
                      int dest,
                      int sr,
                      int imm)

      Constructeur
      Parameters:
        `label` - label de l'instruction
        `op` - type d'opération
        `dest` - numéro du registre de destination
        `sr` - numéro du registre source
        `imm` - constante immédiate

    - #### UALi

          public UALi​(UALi.Op op,
                      int dest,
                      int sr,
                      int imm)

      Constructeur
      Parameters:
        `op` - type d'opération
        `dest` - numéro du registre de destination
        `sr` - numéro du registre source
        `imm` - constante immédiate

  - ### Method Detail

    - #### getDest

          public int getDest()

      Getter du registre de destination
      Returns:
        numéro du registre de destination

    - #### setDest

          public void setDest​(int dest)

      Setter du registre de destination
      Parameters:
        `dest` - numéro du registre de destination

    - #### getSr

          public int getSr()

      Getter du premier registre source
      Returns:
        numéro du premier registre source

    - #### setSr

          public void setSr​(int sr)

      Setter du premier registre source
      Parameters:
        `sr` - numéro du premier registre source

    - #### getImm

          public int getImm()

      Getter de la constante
      Returns:
        constante immédiate

    - #### setImm

          public void setImm​(int imm)

      Setter de la constante
      Parameters:
        `imm` - constante immédiate

    - #### toString

          public java.lang.String toString()

      Conversion en String
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        String texte de l'instruction